#####
#see license.txt
#####
from Products.CMFDefault import Portal
import BlogEntry
import Products.CMFCore

from Products.CMFCore import utils, CMFCorePermissions
from Products.CMFCore.DirectoryView import registerDirectory
import BlogEntryPermissions


import sys
this_module = sys.modules[ __name__ ]

contentConstructors = (BlogEntry.addBlogEntry,)
contentClasses = (BlogEntry.PABlog,)

z_bases = utils.initializeBasesPhase1( contentClasses, this_module )

blog_globals=globals()

registerDirectory('skins', globals())
registerDirectory('skins/PABlog', globals())
registerDirectory('skins/PABlog-plone', globals())


def initialize( context ):
    utils.initializeBasesPhase2( z_bases, context )
    utils.ContentInit( 'PABlog'
                     , content_types = contentClasses
                     , permission = CMFCorePermissions.AddPortalContent 
                     , extra_constructors = contentConstructors
                     , fti = BlogEntry.factory_type_information
                     ).initialize( context ) 
